package com.zehong.system.service.impl;

import java.util.List;
import com.zehong.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zehong.system.mapper.TPipeOldPlanProgressMapper;
import com.zehong.system.domain.TPipeOldPlanProgress;
import com.zehong.system.service.ITPipeOldPlanProgressService;

/**
 * 管线改造进度Service业务层处理
 *
 * @author zehong
 * @date 2026-02-10
 */
@Service
public class TPipeOldPlanProgressServiceImpl implements ITPipeOldPlanProgressService
{
    @Autowired
    private TPipeOldPlanProgressMapper tPipeOldPlanProgressMapper;

    /**
     * 查询管线改造进度
     *
     * @param id 管线改造进度ID
     * @return 管线改造进度
     */
    @Override
    public TPipeOldPlanProgress selectTPipeOldPlanProgressById(Long id)
    {
        return tPipeOldPlanProgressMapper.selectTPipeOldPlanProgressById(id);
    }

    /**
     * 查询管线改造进度列表
     *
     * @param tPipeOldPlanProgress 管线改造进度
     * @return 管线改造进度
     */
    @Override
    public List<TPipeOldPlanProgress> selectTPipeOldPlanProgressList(TPipeOldPlanProgress tPipeOldPlanProgress)
    {
        return tPipeOldPlanProgressMapper.selectTPipeOldPlanProgressList(tPipeOldPlanProgress);
    }

    /**
     * 新增管线改造进度
     *
     * @param tPipeOldPlanProgress 管线改造进度
     * @return 结果
     */
    @Override
    public int insertTPipeOldPlanProgress(TPipeOldPlanProgress tPipeOldPlanProgress)
    {
        tPipeOldPlanProgress.setCreateTime(DateUtils.getNowDate());
        return tPipeOldPlanProgressMapper.insertTPipeOldPlanProgress(tPipeOldPlanProgress);
    }

    /**
     * 修改管线改造进度
     *
     * @param tPipeOldPlanProgress 管线改造进度
     * @return 结果
     */
    @Override
    public int updateTPipeOldPlanProgress(TPipeOldPlanProgress tPipeOldPlanProgress)
    {
        return tPipeOldPlanProgressMapper.updateTPipeOldPlanProgress(tPipeOldPlanProgress);
    }

    /**
     * 批量删除管线改造进度
     *
     * @param ids 需要删除的管线改造进度ID
     * @return 结果
     */
    @Override
    public int deleteTPipeOldPlanProgressByIds(Long[] ids)
    {
        return tPipeOldPlanProgressMapper.deleteTPipeOldPlanProgressByIds(ids);
    }

    /**
     * 删除管线改造进度信息
     *
     * @param id 管线改造进度ID
     * @return 结果
     */
    @Override
    public int deleteTPipeOldPlanProgressById(Long id)
    {
        return tPipeOldPlanProgressMapper.deleteTPipeOldPlanProgressById(id);
    }
}